org.apache.sysds.runtime.util

## Class FastStringTokenizer

- java.lang.Object
- - org.apache.sysds.runtime.util.FastStringTokenizer

All Implemented Interfaces:
  Serializable

    public class FastStringTokenizer
    extends Object
    implements Serializable

This string tokenizer is essentially a simplified StringTokenizer. In addition to the default functionality it allows to reset the tokenizer and it makes the simplifying assumptions of (1) no returns delimiter, and (2) single character delimiter.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FastStringTokenizer(char delimiter)` Constructs a new StringTokenizer for string using the specified delimiter

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `nextDouble()`
`int` `nextInt()`
`long` `nextLong()`
`String` `nextToken()` Returns the next token in the string as a String.
`void` `reset(String string)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastStringTokenizer

    public FastStringTokenizer(char delimiter)

Constructs a new StringTokenizer for string using the specified delimiter

Parameters:
  `delimiter` - the delimiter to use

### Method Detail

#### reset

    public void reset(String string)

#### nextToken

    public String nextToken()

Returns the next token in the string as a String.

Returns:
  next token in the string as a String

#### nextInt

    public int nextInt()

#### nextLong

    public long nextLong()

#### nextDouble

    public double nextDouble()